<? if ( count($this->bubbles['texts']) ): ?>
<h4><div class="i"><span class="bubble_i"><?= __('latest_status_messages') ?></span></div></h4>

<? foreach ( $this->bubbles['texts'] as $bubble ): ?>
<div class="bubble_text">
	<div class="b_text">
		<a href="<?= $this->getLink('profile', array('showname' => $bubble->showname, 'escort_id' => $bubble->id)) ?>">
			<span class="strong"><?= (mb_strlen($bubble->text, 'UTF-8') > 70) ? mb_substr($bubble->text, 0, 70, 'UTF-8') . " ..." : $bubble->text ?></span>
		</a>
	</div>
	<div class="b_thumb">
		<a href="<?= $this->getLink('profile', array('showname' => $bubble->showname, 'escort_id' => $bubble->id) ) ?>">
			<img src="<?= $bubble->getMainPhoto()->getUrl('bubble_thumb') ?>" width="43" height="57" />
		</a>
	</div>
	<div class="clear"></div>
</div>
<? endforeach; ?>

<? $pages = $this->paging($this->bubbles['count'], $this->page, $this->per_page, 5, 2) ?>
<? if ( count($pages) > 1 ): ?>
<p class="bubble-paging">
	<? if ( $this->page > 1 ): ?>
		<a class="prev" href="#" onclick="return Cubix.Bubble.Load(<?= $this->page - 1 ?>)"></a>
	<? endif ?>

	<? foreach ( $pages as $page ): ?>
	<? if ( $this->page == $page ): ?>
		<span><?= $page ?></span>
	<? else: ?>
		<a class="p" href="#" onclick="return Cubix.Bubble.Load(<?= $page ?>)"><?= $page ?></a>
	<? endif ?>
	<? endforeach ?>

	<? if ( $this->page < ceil($this->bubbles['count'] / $this->per_page) ): ?>
		<a class="next" href="#" onclick="return Cubix.Bubble.Load(<?= ($this->page + 1) ?>)"></a>
	<? endif ?>
</p>
<? endif;?>
<? endif;?>
